package com.xc.controller;

import com.jfinal.plugin.activerecord.Db;
import com.xc.utils.PropertiesUtil;
import com.xc.utils.websocket.WsClient;
import org.java_websocket.WebSocket;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import java.net.URI;

@Controller
@RequestMapping({"/ws/test/"})
public class WebSocketTestController {
    private static final Logger log = LoggerFactory.getLogger(WebSocketTestController.class);

    private static final String wssurl1 = "ws://127.0.0.1:8080/websocket/zxdata987654+";

    // 连接 数据解析服务器
    @RequestMapping({"start.do"})
    @ResponseBody
    public String star() {
        try {
            String url = PropertiesUtil.getProperty("ws.url")+"zxdata987654+";
            WsClient myClient = new WsClient(new URI(url));
            myClient.connect();
            while (!myClient.getReadyState().equals(WebSocket.READYSTATE.OPEN)) {
                System.out.println("连接中···请稍后");
                Thread.sleep(1000);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }

        return "true";
    }
    @RequestMapping({"test.do"})
    @ResponseBody
    public String star2() {
        try {

            Db.use("main").find("select 1 ");
            Db.use("data").find("select 1 ");




        } catch (Exception e) {
            e.printStackTrace();
        }

        return "true";
    }

}
