package com.xc.utils.websocket;

//import com.alibaba.fastjson.JSONObject;
//import com.jfinal.plugin.activerecord.Db;
//import com.jfinal.plugin.activerecord.Record;
import com.xc.controller.websocket.WebSocketController;
import org.apache.commons.lang3.StringUtils;
import org.java_websocket.client.WebSocketClient;
import org.java_websocket.handshake.ServerHandshake;

import java.net.URI;

public class WsClient extends WebSocketClient {

    public WsClient(URI serverUri) {
        super(serverUri);
    }

    @Override
    public void onOpen(ServerHandshake arg0) {
        System.out.println(arg0);
        System.out.println("握手成功");

    }

    @Override
    public void onClose(int arg0, String arg1, boolean arg2) {
        System.out.println("连接关闭");
    }

    @Override
    public void onError(Exception arg0) {

        System.out.println(arg0.toString());
    }


    /**
     * 订阅返回的数据
     * @param arg0
     */
    @Override
    public void onMessage(String arg0) {
        try {
            if(StringUtils.isNotBlank(arg0)){
                System.out.println(arg0);
                // 处理数据 并 推送给 客户
                new WebSocketController().sendSysMsg("all",arg0);
            }
        }catch (Exception e){

        }

    }

}